/************* FLEXBOX *************/
.flexbox {
	margin: 0 -5px;
}
.flexbox, nav.nav > ul, .tablet nav.nav > ul, .desktop nav.nav > ul, .desktop nav.nav ul li.mega ul.sub-menu {
	display: -webkit-box;
	display: -moz-box;
	display: -webkit-flexbox;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
}
.flexbox, .tablet nav.nav > ul, .desktop nav.nav > ul, .desktop nav.nav ul li.mega ul.sub-menu {
	-webkit-box-orient: horizontal;
	-moz-box-orient: horizontal;
	-webkit-flex-direction: row;
	-moz-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
}
.flexbox.reverse {
	-webkit-box-orient: horizontal;
	-moz-box-orient: horizontal;
	-webkit-box-direction: reverse;
	-moz-box-direction: reverse;
	-webkit-flex-direction: row-reverse;
	-moz-flex-direction: row-reverse;
	-ms-flex-direction: row-reverse;
	flex-direction: row-reverse;
}
nav.nav > ul {
	-webkit-box-orient: vertical;
	-moz-box-orient: vertical;
	-webkit-flex-direction: column;
	-moz-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
}
.tablet nav.nav > ul, .desktop nav.nav > ul {
	-webkit-flex-wrap: nowrap;
	-moz-flex-wrap: nowrap;
	-ms-flex-wrap: none;
	flex-wrap: nowrap;
}
.flexbox, nav.nav > ul, .desktop nav.nav ul li.mega ul.sub-menu {
	-webkit-flex-wrap: wrap;
	-moz-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
}
.flexbox.reverse {
	-webkit-flex-wrap: wrap-reverse;
	-moz-flex-wrap: wrap-reverse;
	-ms-flex-wrap: wrap-reverse;
	flex-wrap: wrap-reverse;
}
.flexbox .flexitem, .tablet nav.nav > ul > li, .desktop nav.nav > ul > li, .desktop nav.nav ul li.mega > ul.sub-menu > li {
	-webkit-box-pack: justify;
	-moz-box-pack: justify;
	-webkit-flex-pack: justify;
	-ms-flex-pack: justify;
	-moz-justify-content: space-between;
	-webkit-justify-content: space-between;
	justify-content: space-between;
}
.flexbox .flexitem {
	flex: 1 0 100%;
	-webkit-flex-grow: 1;
	-webkit-box-flex: 1;
	-moz-flex-grow: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
	-webkit-flex-shrink: 0;
	-moz-flex-shrink: 0;
	-ms-flex-negative: 0;
	flex-shrink: 0;
	-webkit-flex-basis: 100%;
	-moz-flex-basis: 100%;
	-ms-flex-preferred-size: 100%;
	flex-basis: 100%;
	background: #e6e6e6;
	border: 5px solid #fff;
	padding: 5px;
}
/************* FLEX REVERSE *************/
.flexbox.reverse.flexgrid > div {
	max-width: none !important;
}

/************* FLEX SMALL 2 COLUMNS  *************/
@media screen and (min-width: 481px) {
.flexbox .flexitem {
	flex: 1 0 50%;
	-webkit-flex-grow: 1;
	-webkit-box-flex: 1;
	-moz-flex-grow: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
	-webkit-flex-shrink: 0;
	-moz-flex-shrink: 0;
	-ms-flex-negative: 0;
	flex-shrink: 0;
	-webkit-flex-basis: 50%;
	-moz-flex-basis: 50%;
	-ms-flex-preferred-size: 50%;
	flex-basis: 50%;
}
.flexbox.flexgrid > div {
	max-width: 50%;
}
}

/************* FLEX MEDIUM 3 COLUMNS  *************/
@media screen and (min-width: 769px) {
.flexbox .flexitem {
	flex: 1 0 33.33333%;
	flex: 1 0 calc(100%/3);
	-webkit-flex-grow: 1;
	-webkit-box-flex: 1;
	-moz-flex-grow: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
	-webkit-flex-shrink: 0;
	-moz-flex-shrink: 0;
	-ms-flex-negative: 0;
	flex-shrink: 0;
	-webkit-flex-basis: calc(100%/3);
	-moz-flex-basis: calc(100%/3);
	-ms-flex-preferred-size: calc(100%/3);
	flex-basis: calc(100%/3);
}
.flexbox.flexgrid > div {
	max-width: 33.33333%;
	max-width: calc(100%/3);
}
}

/************* FLEX REGULAR 4 COLUMNS  *************/
@media screen and (min-width: 981px) {
.flexbox .flexitem {
	flex: 1 0 25%;
	-webkit-flex-grow: 1;
	-webkit-box-flex: 1;
	-moz-flex-grow: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
	-webkit-flex-shrink: 0;
	-moz-flex-shrink: 0;
	-ms-flex-negative: 0;
	flex-shrink: 0;
	-webkit-flex-basis: 25%;
	-moz-flex-basis: 25%;
	-ms-flex-preferred-size: 25%;
	flex-basis: 25%;
}
.flexbox.flexgrid > div {
	max-width: 25%;
}
}

/************* FLEX LARGE 6 COLUMNS  *************/
@media screen and (min-width: 1281px) {
body:not(.boxed) .flexbox .flexitem {
	flex: 1 0 16.66667%;
	flex: 1 0 calc(100%/6);
	-webkit-flex-grow: 1;
	-webkit-box-flex: 1;
 
	-moz-flex-grow: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
	-webkit-flex-shrink: 0;
	-moz-flex-shrink: 0;
	-ms-flex-negative: 0;
	flex-shrink: 0;
	-webkit-flex-basis: calc(100%/6);
	-moz-flex-basis: calc(100%/6);
	-ms-flex-preferred-size: calc(100%/6);
	flex-basis: calc(100%/6);
}
body:not(.boxed) .flexbox.flexgrid > div {
	max-width: 16.66667%;
	max-width: calc(100%/6);
}
}